Subject: Re: linux-next: build failure after merge of the crypto-current tree

From: Ingo Molnar <[email-masked]>
Date: Thu, 10 Nov 2011 16:50:19 +0100

* Luis Henriques <[email-masked]> wrote:

> On Thu, Nov 03, 2011 at 10:42:14PM +1100, Herbert Xu wrote:
> > On Thu, Nov 03, 2011 at 10:15:54AM +0000, Luis Henriques wrote:
> > >
> > > No, this did not solved the problem; build still fails.  The problem is
> > > that, in lib/nlattr.c, we have:
> > 
> > Ugh, for the time being I guess we'll have to wrap these within
> > CONFIG_NET, as I'd rather not have CONFIG_CRYPTO depend on CONFIG_NET.
> > 
> > Please let me know whether this patch fixes the problem.
> 
> Yep, it compiles and boots.  Thanks for the patch.

v3.2-rc1 has been released with this (commonly triggering) build bug 
included. Herbert, is the fix on the way to upstream?

Thanks,

	Ingo